creating fat 'thin' clients with ltsp

David Van Assche dvanassche at gmail.com
Thu Feb 14 19:53:51 GMT 2008


Did you mount /proc and /sys?

those errors seem to indicate you didn't. You must mount them in the chroot
or the dependency issues go crazy :-)

And yes, I did do the minimal xfce install first. But that should be
irrelevant, there should be no breakage as long as you mount the necessary
mount points. And don't forget to unmount when you are done. Trying to build
the client with proc and sys mounted in the chroot will not be pretty.

David

On Thu, Feb 14, 2008 at 8:39 PM, Jim Kronebusch <jim at winonacotter.org>
wrote:

> On Wed, 13 Feb 2008 00:42:29 +0100, David Van Assche wrote
> > Hi there,
> >    I've recently documented the steps needed to make alternative fat
> chroots
> > with local apps and local cpu/memory usage. So called ltsp diskless
> > workstations, or low fat clients. The wiki is here, and though is not
> > complete, Ive tested it and it works (I am running it on 20 computers in
> my
> > computer lab that require multimedia apps, aswell as flash, java, video,
> > audio, etc. Take a look here and feel free to add to it or ask me
> questions:
> >
> > https://help.ubuntu.com/community/UbuntuLTSP/LTSPFatClients
>
> Well, I started to get things going, I created the chroot with
> ltsp-build-client, then
> got to the point to expand my base chroot with apt-get install
> edubuntu-desktop.  Things
> got to the point of configuring acpid then broke hard (errors below).  And
> even with -f
> options and running dpkg --configure -a I can't get it to move on.
>
> I am wondering if when you have done this you stepped in slower, maybe
> starting with the
> minimal install, then moving towards edubuntu-desktop?  I might wipe the
> directory and
> try it that way.  Or maybe this is a difference with 7.04.
>
> Errors:
> Setting up acpid (1.0.4-5ubuntu6) ...
>  * Starting ACPI services...
> invoke-rc.d: initscript acpid, action "start" failed.
> dpkg: error processing acpid (--configure):
>  subprocess post-installation script returned error exit status 1
> Errors were encountered while processing:
>  acpid
> root at ltsp:/# apt-get install -f acpid
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> acpid is already the newest version.
> 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> 6 not fully installed or removed.
> Need to get 0B of archives.
> After unpacking 0B of additional disk space will be used.
> Setting up acpid (1.0.4-5ubuntu6) ...
>  * Starting ACPI services...
> invoke-rc.d: initscript acpid, action "start" failed.
> dpkg: error processing acpid (--configure):
>  subprocess post-installation script returned error exit status 1
> dpkg: dependency problems prevent configuration of acpi-support:
>  acpi-support depends on acpid (>= 1.0.4-1ubuntu4); however:
>  Package acpid is not configured yet.
> dpkg: error processing acpi-support (--configure):
>  dependency problems - leaving unconfigured
> dpkg: dependency problems prevent configuration of
> powermanagement-interface:
>  powermanagement-interface depends on acpi-support (>= 0.17); however:
>  Package acpi-support is not configured yet.
> dpkg: error processing powermanagement-interface (--configure):
>  dependency problems - leaving unconfigured
> dpkg: dependency problems prevent configuration of gnome-power-manager:
>  gnome-power-manager depends on powermanagement-interface; however:
>  Package powermanagement-interface is not configured yet.
> dpkg: error processing gnome-power-manager (--configure):
>  dependency problems - leaving unconfigured
> dpkg: dependency problems prevent configuration of gnome-session:
>  gnome-session depends on gnome-power-manager; however:
>  Package gnome-power-manager is not configured yet.
> dpkg: error processing gnome-session (--configure):
>  dependency problems - leaving unconfigured
> dpkg: dependency problems prevent configuration of edubuntu-desktop:
>  edubuntu-desktop depends on acpi-support; however:
>  Package acpi-support is not configured yet.
>  edubuntu-desktop depends on acpid; however:
>  Package acpid is not configured yet.
>  edubuntu-desktop depends on gnome-power-manager; however:
>  Package gnome-power-manager is not configured yet.
>  edubuntu-desktop depends on gnome-session; however:
>  Package gnome-session is not configured yet.
>  edubuntu-desktop depends on powermanagement-interface; however:
>  Package powermanagement-interface is not configured yet.
> dpkg: error processing edubuntu-desktop (--configure):
>  dependency problems - leaving unconfigured
> Errors were encountered while processing:
>  acpid
>  acpi-support
>  powermanagement-interface
>  gnome-power-manager
>  gnome-session
>  edubuntu-desktop
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> root at ltsp:/#
>
>
> Thanks,
> Jim
>
> --
> This message has been scanned for viruses and
> dangerous content by the Cotter Technology
> Department, and is believed to be clean.
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: https://lists.ubuntu.com/archives/edubuntu-users/attachments/20080214/084109dc/attachment.htm 


More information about the edubuntu-users mailing list